using System;

internal sealed class Delegate522 : MulticastDelegate
{
	public extern string Invoke();

	public static string smethod_0(Delegate522 delegate522_1)
	{
		return delegate522_1();
	}

	public extern Delegate522(object object_0, IntPtr intptr_0);

	static Delegate522()
	{
		Class10.smethod_13(typeof(Delegate522).TypeHandle);
	}

	internal static Delegate522 delegate522_0;
}
